# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Mar 11 20:51:23 2025
# ------------------------------------------------

package:
  name: easel
  version: '0.49'
source:
  sha256: 90f75bc4727e6dfb5f402d9f70cf4a606d9639f72d21e07461279d3f3f06b918
  url: https://github.com/EddyRivasLab/easel/archive/refs/tags/easel-0.49.tar.gz
build:
  number: '2'
  run_exports:
    - easel >=0.49,<0.50.0a0
  string: h661a7b0_2
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - autoconf 2.71 pl5321h2148fe1_1
    - automake 1.17 pl5321h8af1aa0_0
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - binutils_linux-aarch64 2.43 hf1166c9_4
    - gcc_impl_linux-aarch64 13.3.0 h80a1502_2
    - gcc_linux-aarch64 13.3.0 h1cd514b_8
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libgcc 14.2.0 he277a41_2
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_102
    - libgcc-ng 14.2.0 he9431aa_2
    - libgomp 14.2.0 he277a41_2
    - libsanitizer 13.3.0 ha58e236_2
    - libstdcxx 14.2.0 h3f4de04_2
    - libxcrypt 4.4.36 h31becfc_1
    - m4 1.4.18 h516909a_1001
    - make 4.4.1 h2a6d0cb_2
    - perl 5.32.1 7_h31becfc_perl5
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025a h78e105d_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - libgcc 14.2.0 he277a41_2
    - libgomp 14.2.0 he277a41_2
  run:
    - libgcc >=13
test:
  commands:
    - esl-afetch -h
    - esl-alimanip -h
    - esl-alimap -h
    - esl-alimask -h
    - esl-alimerge -h
    - esl-alipid -h
    - esl-alirev -h
    - esl-alistat -h
    - esl-compalign -h
    - esl-compstruct -h
    - esl-construct -h
    - esl-histplot -h
    - esl-mask -h
    - esl-reformat -h
    - esl-selectn -h
    - esl-seqrange -h
    - esl-seqstat -h
    - esl-sfetch -h
    - esl-shuffle -h
    - esl-ssdraw -h
    - esl-translate -h
    - esl-weight -h
about:
  dev_url: https://github.com/EddyRivasLab/easel
  home: https://github.com/EddyRivasLab/easel
  license: BSD
  license_family: BSD
  license_file: LICENSE
  summary: Easel is an ANSI C code library for computational analysis of biological
    sequences using probabilistic models.
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
